<div class="container" fxLayout="row" fxLayoutAlign="center center">
    <mat-card fxFlex="90%" fxFlex.gt-xs="50%" fxFlex.gt-md="25%" fxLayout="column" fxLayoutAlign="space-evenly center">
        <mat-card-header>
            <mat-card-title>
                Register
            </mat-card-title>
        </mat-card-header>
        <mat-card-content class="width">
            <form [formGroup]="registerForm" fxLayout="column">
                <mat-form-field appearance="outline">
                    <mat-label>Email *</mat-label>
                    <input matInput formControlName="email">
                    <mat-icon matSuffix>email</mat-icon>
                    <mat-error *ngIf="email?.hasError('required')">
                        Email is required!
                    </mat-error>
                    <mat-error *ngIf="email?.hasError('email')">
                        Email is invalid!
                    </mat-error>
                </mat-form-field>

                <div fxFlex>
                    <mat-form-field appearance="outline" [color]="passwordComponentWithValidation.color"
                        style="width: 100%">
                        <input matInput #passwordWithValidation [type]="hide ? 'password' : 'text'"
                            [formControl]="passwordComponentWithValidation.passwordFormControl" placeholder="Password"
                            formControlName="password">
                        <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                            [attr.aria-pressed]="hide">
                            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                        </button>
                        <mat-error *ngIf="passwordComponentWithValidation.passwordFormControl.hasError('required')">
                            Password is required!
                        </mat-error>
                        <mat-error *ngIf="passwordComponentWithValidation.passwordFormControl.hasError('pattern')">
                            Password is not valid!
                        </mat-error>

                    </mat-form-field>

                    <mat-password-strength #passwordComponentWithValidation [password]="passwordWithValidation.value">
                    </mat-password-strength>
                    <mat-password-strength-info *ngIf="password?.touched"
                        [passwordComponent]="passwordComponentWithValidation">
                    </mat-password-strength-info>
                </div>
                <p></p>
                <p></p>
                <mat-form-field appearance="outline">
                    <mat-label>Confirm Password</mat-label>
                    <input matInput formControlName="confirmPassword" [type]="hide ? 'password' : 'text'"
                        [errorStateMatcher]="matcher">
                    <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                        [attr.aria-pressed]="hide">
                        <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                    </button>
                    <mat-error *ngIf="registerForm.hasError('notSame') && confirmPassword?.touched">
                        Passwords do not match!
                    </mat-error>
                </mat-form-field>
                <button (click)="onSubmit()" mat-raised-button color="primary"
                    [disabled]="!registerForm.valid">Register</button>
                <br>
                <p> Already have an account? Login <a routerLink="/login">here</a></p>
            </form>
        </mat-card-content>
    </mat-card>
</div>